<?php
/*
Plugin Name: Adder Tags Fix
Plugin URI: http://www.poradnik-webmastera.com/projekty/adder_tags_fix/
Description: Adder uses ISO-8859-2 encoding for tags, instead of UTF-8. This plugin fixes this.
Author: Daniel Frużyński
Version: 1.0.2
Author URI: http://www.poradnik-webmastera.com/
*/

/*  Copyright 2009  Daniel Frużyński  (email : daniel [A-T] poradnik-webmastera.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if ( !function_exists( 'atf_fix_encoding' ) ) {
	function atf_fix_encoding( $str ) {
		$str2 = mb_convert_encoding( $str, 'utf-8', 'utf-8' );
		if ( $str != $str2 ) {
			$str = mb_convert_encoding( $str, 'utf-8', 'iso-8859-2' );
		}
		return $str;
	}
	
	if ( is_array( $_POST ) ) {
		if ( !empty( $_POST['tax_input'] ) && is_array( $_POST['tax_input'] ) && isset( $_POST['tax_input']['post_tag'] ) ) {
			$_POST['tax_input']['post_tag'] = atf_fix_encoding( $_POST['tax_input']['post_tag'] );
		} else if ( !empty( $_POST['tags_input'] ) ) {
			$_POST['tags_input_ori'] = $_POST['tags_input'];
			$_POST['tags_input'] = atf_fix_encoding( $_POST['tags_input'] );
		}
	}
}

?>